For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
Article

DraftTransitionResultResponse

Use with AI:Rippling AI ChatGPT Claude Cursor

DraftTransitionResultResponse

    request_id stringrequired

    Identifier of the submitted draft transition request.

    status stringrequired

    Possible values: [ACCEPTED, PROCESSING, COMPLETED, COMPLETED_WITH_WARNINGS, COMPLETED_WITH_ERRORS, FAILED]

    Current processing state. Continue polling while ACCEPTED or PROCESSING. COMPLETED, COMPLETED_WITH_WARNINGS, COMPLETED_WITH_ERRORS, and FAILED are terminal states.

    submitted_count integerrequired

    Total number of items accepted in the original request.

    completed_count integerrequired

    Number of completed items, including items completed with warnings.

    warning_count integerrequired

    Number of items completed with warnings; these are also included in completed_count.

    failed_count integerrequired

    Number of failed items.

    warning_items

    object[]

    required

    Details for items completed with warnings; empty when none have warnings.

  • Array [

  • index integerrequired

    Zero-based index of this item in the submitted items array.

    worker_id stringrequired

    Target worker identifier, matching the id returned by GET /workers/{id}/.

    status stringrequired

    Possible values: [ACCEPTED, PROCESSING, COMPLETED, COMPLETED_WITH_WARNINGS, FAILED]

    Item processing state; warning items have COMPLETED_WITH_WARNINGS status.

    warnings

    object[]

    required

    Warnings associated with this completed item. Review the draft before applying it.

  • Array [

  • code stringrequired

    Machine-readable warning or error code.

    message stringrequired

    Explanation of the issue and, when applicable, how to correct it.

    field_path stringnullable

    Path to the affected request field, when available.

  • ]

  • ]

  • failed_items

    object[]

    required

    Details for failed items; empty when none have failed.

  • Array [

  • index integerrequired

    Zero-based index of this item in the submitted items array.

    worker_id stringrequired

    Target worker identifier, matching the id returned by GET /workers/{id}/.

    status stringrequired

    Possible values: [ACCEPTED, PROCESSING, COMPLETED, COMPLETED_WITH_WARNINGS, FAILED]

    Item processing state; failed items have FAILED status.

    errors

    object[]

    required

    Errors explaining why this item failed.

  • Array [

  • code stringrequired

    Machine-readable warning or error code.

    message stringrequired

    Explanation of the issue and, when applicable, how to correct it.

    field_path stringnullable

    Path to the affected request field, when available.

  • ]

  • ]